/* QRコード表示ボタン */
.QRbtn{
    /*margin-bottom: 35px;*/
    display:block;
	/*padding:3% 0;*/
	width:100%;
	text-align:center;
    font-size:0.9em;
    border: none;
	color:#ffffff!important;
    cursor: pointer;
	border-radius: 50px;
    -webkit-border-radius: 50px;
    transition: all  0.5s ease;
    -webkit-transition: all 0.5s ease;
    box-sizing: border-box;
    box-shadow: 0px 1px 2px 1px rgba(241, 100, 128, 0.3);
    background: #f15272;
    padding: 8px 8px;
    border-radius: 50px;
}
.QRbtn.btnStore01{
    background: #5a92ef;
    box-shadow: 0px 1px 2px 1px rgba(22, 62, 126, 0.3);
}
.QRbtn.btnStore02{
    background: #f16d7f;
}
.product-list a:link{
text-decoration: none!important;
}
@media screen and (max-width : 1040px ){
.QRbtn{
    padding: 10px;
}

}

/* QRコード表示ボタンを上下に並べた時用 */
.detailBoxRight .QRbtn_m0{
    margin-bottom: 15px;
}

/* ----ここからダイアログ画面---- */

.QR-dialog{
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    background-color: rgba(45,45,45,0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.QR-dialog .QR-dialog-form{
    position: relative;
    width: calc(100% - 50px);
    min-width: 200px;
    max-width: 500px;
    text-align: center;
    background-color: #ffffff;
    padding: 0px;
    opacity: 1;
    /* overflow: auto; */
    -webkit-overflow-scrolling: touch;
    border-radius: 4px;
    /* margin: 20px; */
}
.QR-dialog .QR-dialog-scroll{
    max-height: calc(100vh - 100px);
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 40px 0px 40px 0px;
}

/* 閉じるボタン */
.QR-dialog .QR-dialog-form .close-btn img{
    position: absolute;
    width: 40px;
    top: -10px;
    right: -10px;
    cursor: pointer;
}

/* コンビニのロゴ画像の幅 */
.QR-dialog .QR-dialog-form #QR-store-list > div{
    width: 100%;
    margin: 0 auto;
}
/* コンビニのロゴ画像 */
.QR-dialog .QR-dialog-form #QR-store-list img{
    max-width: 90%;
    margin: 0 auto;
}

/* コンビニのロゴ画像(2,3店舗の時のみ) */
.QR-dialog .QR-dialog-form #QR-store-list .qr_allstore,
.QR-dialog .QR-dialog-form #QR-store-list .qr_stores{
    max-width: 90%;
    margin: 0 auto;
}

/* QRコード画像 */
.QR-dialog .QR-dialog-form canvas{
    max-width: 60%;
}

/* 購入方法メッセージ */
.QR-dialog .QR-dialog-message{
    width: 80%;
    margin: 4% auto;
    text-align: left;
}

/* 商品名と商品印刷番号のdiv */
.QR-dialog .QR-dialog-detail{
    background-color: #efefef;
    width: 80%;
    margin: auto;
    margin-bottom: 4%;
    padding: 15px;
}

/* 商品名と商品印刷番号の文章 */
.QR-dialog .QR-dialog-detail p{
    text-align: center;
}

.QR-dialog .QR-dialog-detail .QR-productid{
    font-weight: bold;
}

.QR-dialog.disabled{
    display: none;
}
.QR-dialog.active{
    display: none;
}

.remodal-is-locked {
    overflow: hidden;
    -ms-touch-action: none;
    touch-action: none;
}

.body-scrollblock {
	padding-right: 17px;
}


/* ----コンテンツ別のボタンの色分け---- */

/* ********* ブロマイド ********* */
#cat01Cont .QRbtn{
    background: #11b7f3;
}
#cat01Cont .QRbtn:hover{
    opacity: 0.7;
}

/* ********* キャラクター ********* */
#cat02Cont .QRbtn{
    background: #fb6873;
}
#cat02Cont .QRbtn:hover{
    opacity: 0.7;
}

/* ********* クリエイター ********* */
#cat03Cont .QRbtn{
    background: #ff9f50;
}
#cat03Cont .QRbtn:hover{
    opacity: 0.7;
}

/* ********* アイドル ********* */
#cat06Cont .QRbtn{
    background: #b375db;
}
#cat06Cont .QRbtn:hover{
    opacity: 0.7;
}

/* ********* ゲームアプリ ********* */
#cat07Cont .QRbtn{
    background: #6969ff;
}
#cat07Cont .QRbtn:hover{
    opacity: 0.7;
}

/* ********* 教育学習 ********* */
#cat10Cont .QRbtn{
    background: #f695c7;
}
#cat10Cont .QRbtn:hover{
    opacity: 0.7;
}